gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Object to encapsulate code for running at the end of program execution.
- Constructor
  2.12.0.0
  Default Constructor
- Method
  2.12.0.0
  System.UInt32 `` `` a a Registers a function to be called when an instance of the mainloop is left. a
- Method
  2.12.0.0
  System.Void `` `` a a Trigger destruction of in case the mainloop at level is quit.
- Method
  2.12.0.0
  System.Obsolete("Replaced by Add method")
  System.UInt32 `` `` `` `` `` a a a a a Registers a function to be called when an instance of the mainloop is left. a

  In comparison to this function adds the possibility to pass a marshaller and a function to be called when the quit handler is freed.

  The former can be used to run interpreted code instead of a compiled function while the latter can be used to free the information stored in data.

- Method
  2.12.0.0
  System.Void `` a Removes a quit handler by its identifier.
- Method
  2.12.0.0
  System.Void `` a Removes a quit handler identified by its field.